package ru.yandex.webmaster3.internal.user.domain.common;

import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.internal.user.domain.DomainVerificationState;

/**
 * @author avhaliullin
 */
public interface DomainAwareRequest {

    String getDomain();

    @Description("домен")
    @RequestQueryProperty(required = true)
    void setDomain(String domain);

    DomainVerificationState getDomainVerificationState();
    void setDomainVerificationState(DomainVerificationState domainVerificationState);
}
